diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/wimax/model/ul-job.h ns-3.39/src/wimax/model/ul-job.h
--- ns-3.38/src/wimax/model/ul-job.h	2023-03-16 20:54:23.880869400 -0700
+++ ns-3.39/src/wimax/model/ul-job.h	2023-07-05 14:23:48.137428500 -0700
@@ -63,7 +63,7 @@
      * Get SS record
      * \returns the SS record
      */
-    SSRecord* GetSsRecord();
+    SSRecord* GetSsRecord() const;
     /**
      * Set SS record
      * \param ssRecord the SS record
@@ -73,7 +73,7 @@
      * Get scheduling type
      * \returns the scheduling type
      */
-    enum ServiceFlow::SchedulingType GetSchedulingType();
+    ServiceFlow::SchedulingType GetSchedulingType() const;
     /**
      * Set scheduling type
      * \param schedulingType the scheduling type
@@ -83,7 +83,7 @@
      * Get service flow
      * \returns the service flow
      */
-    ServiceFlow* GetServiceFlow();
+    ServiceFlow* GetServiceFlow() const;
     /**
      * Set service flow
      * \param serviceFlow
@@ -94,7 +94,7 @@
      * Get type
      * \returns the request type
      */
-    ReqType GetType();
+    ReqType GetType() const;
     /**
      * Set type
      * \param type the type
@@ -105,7 +105,7 @@
      * Get release time
      * \returns the release time
      */
-    Time GetReleaseTime();
+    Time GetReleaseTime() const;
     /**
      * Set release time
      * \param releaseTime the release time
@@ -116,7 +116,7 @@
      * Get period
      * \returns the period time
      */
-    Time GetPeriod();
+    Time GetPeriod() const;
     /**
      * Set period
      * \param period the period
@@ -127,7 +127,7 @@
      * Get deadline
      * \returns the deadline time
      */
-    Time GetDeadline();
+    Time GetDeadline() const;
     /**
      * Set deadline
      * \param deadline the dead line
@@ -149,11 +149,11 @@
     /// equality operator
     friend bool operator==(const UlJob& a, const UlJob& b);
 
-    Time m_releaseTime; ///< The time after which the job can be processed
-    Time m_period;      ///< For periodic jobs
-    Time m_deadline;    ///< Request should be satisfied by this time
-    uint32_t m_size;    ///< Number of minislots requested
-    enum ServiceFlow::SchedulingType m_schedulingType; ///< Scheduling type of flow
+    Time m_releaseTime;                           ///< The time after which the job can be processed
+    Time m_period;                                ///< For periodic jobs
+    Time m_deadline;                              ///< Request should be satisfied by this time
+    uint32_t m_size;                              ///< Number of minislots requested
+    ServiceFlow::SchedulingType m_schedulingType; ///< Scheduling type of flow
 
     SSRecord* m_ssRecord; ///< Pointer to SSRecord
 
@@ -187,7 +187,7 @@
      * Get UL job function
      * \returns the UL job
      */
-    Ptr<UlJob> GetUlJob();
+    Ptr<UlJob> GetUlJob() const;
     /**
      * Set UL job
      * \param job the UL job
@@ -220,14 +220,7 @@
                 left.GetUlJob()->GetServiceFlow()->GetRecord()->GetBacklogged();
             int32_t rightBacklogged =
                 left.GetUlJob()->GetServiceFlow()->GetRecord()->GetBacklogged();
-            if (leftBacklogged <= rightBacklogged)
-            {
-                return true;
-            }
-            else
-            {
-                return false;
-            }
+            return leftBacklogged <= rightBacklogged;
         }
         else
         {
@@ -257,14 +250,7 @@
                 left->GetUlJob()->GetServiceFlow()->GetRecord()->GetBacklogged();
             int32_t rightBacklogged =
                 left->GetUlJob()->GetServiceFlow()->GetRecord()->GetBacklogged();
-            if (leftBacklogged <= rightBacklogged)
-            {
-                return true;
-            }
-            else
-            {
-                return false;
-            }
+            return leftBacklogged <= rightBacklogged;
         }
         else
         {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/wimax/model/ul-mac-messages.cc ns-3.39/src/wimax/model/ul-mac-messages.cc
--- ns-3.38/src/wimax/model/ul-mac-messages.cc	2023-03-16 20:54:23.880869400 -0700
+++ ns-3.39/src/wimax/model/ul-mac-messages.cc	2023-07-05 14:23:48.137428500 -0700
@@ -400,11 +400,8 @@
 {
     uint32_t ulBurstProfilesSize = 0;
 
-    for (std::vector<OfdmUlBurstProfile>::const_iterator iter = m_ulBurstProfiles.begin();
-         iter != m_ulBurstProfiles.end();
-         ++iter)
+    for (const auto& burstProfile : m_ulBurstProfiles)
     {
-        OfdmUlBurstProfile burstProfile = *iter;
         ulBurstProfilesSize += burstProfile.GetSize();
     }
 
@@ -422,11 +419,8 @@
     i.WriteU8(m_requestBackoffEnd);
     i = m_channelEncodings.Write(i);
 
-    for (std::vector<OfdmUlBurstProfile>::const_iterator iter = m_ulBurstProfiles.begin();
-         iter != m_ulBurstProfiles.end();
-         ++iter)
+    for (const auto& burstProfile : m_ulBurstProfiles)
     {
-        OfdmUlBurstProfile burstProfile = *iter;
         i = burstProfile.Write(i);
     }
 }
@@ -655,11 +649,9 @@
 UlMap::GetSerializedSize() const
 {
     uint32_t ulMapElementsSize = 0;
-    for (std::list<OfdmUlMapIe>::const_iterator iter = m_ulMapElements.begin();
-         iter != m_ulMapElements.end();
-         ++iter)
+
+    for (const auto& ulMapIe : m_ulMapElements)
     {
-        OfdmUlMapIe ulMapIe = *iter;
         ulMapElementsSize += ulMapIe.GetSize();
     }
 
@@ -674,11 +666,8 @@
     i.WriteU8(m_ucdCount);
     i.WriteU32(m_allocationStartTime);
 
-    for (std::list<OfdmUlMapIe>::const_iterator iter = m_ulMapElements.begin();
-         iter != m_ulMapElements.end();
-         ++iter)
+    for (const auto& ulMapIe : m_ulMapElements)
     {
-        OfdmUlMapIe ulMapIe = *iter;
         i = ulMapIe.Write(i);
     }
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/wimax/model/wimax-connection.cc ns-3.39/src/wimax/model/wimax-connection.cc
--- ns-3.38/src/wimax/model/wimax-connection.cc	2023-03-16 20:54:23.880869400 -0700
+++ ns-3.39/src/wimax/model/wimax-connection.cc	2023-07-05 14:23:48.137428500 -0700
@@ -67,7 +67,7 @@
     return tid;
 }
 
-WimaxConnection::WimaxConnection(Cid cid, enum Cid::Type type)
+WimaxConnection::WimaxConnection(Cid cid, Cid::Type type)
     : m_cid(cid),
       m_cidType(type),
       m_queue(CreateObject<WimaxMacQueue>(1024)),
@@ -92,7 +92,7 @@
     return m_cid;
 }
 
-enum Cid::Type
+Cid::Type
 WimaxConnection::GetType() const
 {
     return m_cidType;
@@ -161,22 +161,16 @@
     {
     case Cid::BROADCAST:
         return "Broadcast";
-        break;
     case Cid::INITIAL_RANGING:
         return "Initial Ranging";
-        break;
     case Cid::BASIC:
         return "Basic";
-        break;
     case Cid::PRIMARY:
         return "Primary";
-        break;
     case Cid::TRANSPORT:
         return "Transport";
-        break;
     case Cid::MULTICAST:
         return "Multicast";
-        break;
     default:
         NS_FATAL_ERROR("Invalid connection type");
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/wimax/model/wimax-connection.h ns-3.39/src/wimax/model/wimax-connection.h
--- ns-3.38/src/wimax/model/wimax-connection.h	2023-03-16 20:54:23.880869400 -0700
+++ ns-3.39/src/wimax/model/wimax-connection.h	2023-07-05 14:23:48.137428500 -0700
@@ -56,7 +56,7 @@
      * \param cid connection ID
      * \param type CID type
      */
-    WimaxConnection(Cid cid, enum Cid::Type type);
+    WimaxConnection(Cid cid, Cid::Type type);
     ~WimaxConnection() override;
 
     /**
@@ -69,7 +69,7 @@
      * Get type function
      * \returns the type
      */
-    enum Cid::Type GetType() const;
+    Cid::Type GetType() const;
     /**
      * \return the queue of the connection
      */
@@ -152,7 +152,7 @@
     void DoDispose() override;
 
     Cid m_cid;                  ///< CID
-    enum Cid::Type m_cidType;   ///< CID type
+    Cid::Type m_cidType;        ///< CID type
     Ptr<WimaxMacQueue> m_queue; ///< queue
     ServiceFlow* m_serviceFlow; ///< service flow
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/wimax/model/wimax-net-device.cc ns-3.39/src/wimax/model/wimax-net-device.cc
--- ns-3.38/src/wimax/model/wimax-net-device.cc	2023-03-16 20:54:23.880869400 -0700
+++ ns-3.39/src/wimax/model/wimax-net-device.cc	2023-07-05 14:23:48.137428500 -0700
@@ -169,8 +169,6 @@
     m_connectionManager = nullptr;
     m_burstProfileManager = nullptr;
     m_bandwidthManager = nullptr;
-    m_connectionManager = nullptr;
-    m_bandwidthManager = nullptr;
 
     NetDevice::DoDispose();
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/wimax/model/wimax-net-device.h ns-3.39/src/wimax/model/wimax-net-device.h
--- ns-3.38/src/wimax/model/wimax-net-device.h	2023-03-16 20:54:23.880869400 -0700
+++ ns-3.39/src/wimax/model/wimax-net-device.h	2023-07-05 14:23:48.137428500 -0700
@@ -64,7 +64,7 @@
  * \ingroup wimax
  *
  * This class holds together ns3::WimaxPhy, ns3::WimaxConnection,
- * ns3::ConectionManager, ns3::BurstProfileManager, and
+ * ns3::ConnectionManager, ns3::BurstProfileManager, and
  * ns3::BandwidthManager.
  */
 class WimaxNetDevice : public NetDevice
@@ -560,8 +560,6 @@
     Ptr<ConnectionManager> m_connectionManager;     ///< connection manager
     Ptr<BurstProfileManager> m_burstProfileManager; ///< burst profile manager
     Ptr<BandwidthManager> m_bandwidthManager;       ///< badnwidth manager
-
-    Ptr<Object> m_mobility; ///< modility model
 };
 
 } // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/wimax/model/wimax-phy.cc ns-3.39/src/wimax/model/wimax-phy.cc
--- ns-3.38/src/wimax/model/wimax-phy.cc	2023-03-16 20:54:23.880869400 -0700
+++ ns-3.39/src/wimax/model/wimax-phy.cc	2023-07-05 14:23:48.137428500 -0700
@@ -90,7 +90,6 @@
       m_psPerFrame(0),
       m_symbolsPerFrame(0)
 {
-    m_mobility = nullptr;
     m_duplex = 0;
     m_txFrequency = 0;
     m_rxFrequency = 0;
@@ -425,16 +424,4 @@
     return m_symbolsPerFrame;
 }
 
-Ptr<Object>
-WimaxPhy::GetMobility()
-{
-    return m_mobility;
-}
-
-void
-WimaxPhy::SetMobility(Ptr<Object> mobility)
-{
-    m_mobility = mobility;
-}
-
 } // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/wimax/model/wimax-phy.h ns-3.39/src/wimax/model/wimax-phy.h
--- ns-3.38/src/wimax/model/wimax-phy.h	2023-03-16 20:54:23.880869400 -0700
+++ ns-3.39/src/wimax/model/wimax-phy.h	2023-07-05 14:23:48.137428500 -0700
@@ -358,16 +358,6 @@
      */
     void SetPhyParameters();
     void DoDispose() override;
-    /**
-     * Get the mobility model of the device
-     * \return the mobility model of the device
-     */
-    virtual Ptr<Object> GetMobility();
-    /**
-     * \brief set the mobility model of the device
-     * \param mobility the mobility model to set
-     */
-    virtual void SetMobility(Ptr<Object> mobility);
 
     /**
      * Assign a fixed random variable stream number to the random variables
@@ -494,7 +484,6 @@
     uint16_t m_psPerSymbol;      ///< ps per sumbol
     uint16_t m_psPerFrame;       ///< ps per framce
     uint32_t m_symbolsPerFrame;  ///< symbols per frame
-    Ptr<Object> m_mobility;      ///< modility model
 };
 
 } // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/wimax/model/wimax-tlv.cc ns-3.39/src/wimax/model/wimax-tlv.cc
--- ns-3.38/src/wimax/model/wimax-tlv.cc	2023-03-16 20:54:23.880869400 -0700
+++ ns-3.39/src/wimax/model/wimax-tlv.cc	2023-07-05 14:23:48.137428500 -0700
@@ -870,7 +870,7 @@
 // ==============================================================================
 PortRangeTlvValue::PortRangeTlvValue()
 {
-    m_portRange = new std::vector<struct PortRange>;
+    m_portRange = new std::vector<PortRange>;
 }
 
 PortRangeTlvValue::~PortRangeTlvValue()
@@ -888,7 +888,7 @@
 void
 PortRangeTlvValue::Serialize(Buffer::Iterator i) const
 {
-    for (std::vector<struct PortRange>::const_iterator iter = m_portRange->begin();
+    for (std::vector<PortRange>::const_iterator iter = m_portRange->begin();
          iter != m_portRange->end();
          ++iter)
     {
@@ -936,7 +936,7 @@
 PortRangeTlvValue::Copy() const
 {
     PortRangeTlvValue* tmp = new PortRangeTlvValue();
-    for (std::vector<struct PortRange>::const_iterator iter = m_portRange->begin();
+    for (std::vector<PortRange>::const_iterator iter = m_portRange->begin();
          iter != m_portRange->end();
          ++iter)
     {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/wimax/model/wimax-tlv.h ns-3.39/src/wimax/model/wimax-tlv.h
--- ns-3.38/src/wimax/model/wimax-tlv.h	2023-03-16 20:54:23.880869400 -0700
+++ ns-3.39/src/wimax/model/wimax-tlv.h	2023-07-05 14:23:48.137428500 -0700
@@ -489,8 +489,9 @@
         uint16_t PortLow;  ///< low
         uint16_t PortHigh; ///< high
     };
+
     /// PortRange vector iterator typedef
-    typedef std::vector<struct PortRange>::const_iterator Iterator;
+    typedef std::vector<PortRange>::const_iterator Iterator;
     PortRangeTlvValue();
     ~PortRangeTlvValue() override;
     uint32_t GetSerializedSize() const override;
@@ -519,7 +520,7 @@
     PortRangeTlvValue* Copy() const override;
 
   private:
-    std::vector<struct PortRange>* m_portRange; ///< port range
+    std::vector<PortRange>* m_portRange; ///< port range
 };
 
 // ==============================================================================
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/wimax/test/examples-to-run.py ns-3.39/src/wimax/test/examples-to-run.py
--- ns-3.38/src/wimax/test/examples-to-run.py	2023-03-16 20:54:23.880869400 -0700
+++ ns-3.39/src/wimax/test/examples-to-run.py	2023-07-05 14:23:48.137428500 -0700
@@ -1,5 +1,4 @@
 #! /usr/bin/env python3
-## -*- Mode: python; py-indent-offset: 4; indent-tabs-mode: nil; coding: utf-8; -*-
 
 # A list of C++ examples to run in order to ensure that they remain
 # buildable and runnable over time.  Each tuple in the list contains
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/wimax/test/phy-test.cc ns-3.39/src/wimax/test/phy-test.cc
--- ns-3.38/src/wimax/test/phy-test.cc	2023-03-16 20:54:23.880869400 -0700
+++ ns-3.39/src/wimax/test/phy-test.cc	2023-07-05 14:23:48.137428500 -0700
@@ -96,7 +96,7 @@
     Simulator::Run();
     for (int i = 0; i < 3; i++)
     {
-        if (ssDevs.Get(i)->GetObject<SubscriberStationNetDevice>()->IsRegistered() == false)
+        if (!ssDevs.Get(i)->GetObject<SubscriberStationNetDevice>()->IsRegistered())
         {
             NS_LOG_DEBUG("SS[" << i << "] not registered");
             return true; // Test fail because SS[i] is not registered
@@ -113,7 +113,7 @@
     for (int i = 0; i < 7; i++)
     {
         NS_LOG_DEBUG("Frame Duration = " << frameDuratioTab[i]);
-        if (DoRunOnce(frameDuratioTab[i]) != false)
+        if (DoRunOnce(frameDuratioTab[i]))
         {
             return;
         }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/wimax/test/qos-test.cc ns-3.39/src/wimax/test/qos-test.cc
--- ns-3.38/src/wimax/test/qos-test.cc	2023-03-16 20:54:23.880869400 -0700
+++ ns-3.39/src/wimax/test/qos-test.cc	2023-07-05 14:23:48.137428500 -0700
@@ -154,11 +154,11 @@
 void
 Ns3WimaxSchedulingTestCase::DoRun()
 {
-    if (DoRunOnce(WimaxHelper::SCHED_TYPE_SIMPLE) == true)
+    if (DoRunOnce(WimaxHelper::SCHED_TYPE_SIMPLE))
     {
         return;
     }
-    if (DoRunOnce(WimaxHelper::SCHED_TYPE_RTPS) == true)
+    if (DoRunOnce(WimaxHelper::SCHED_TYPE_RTPS))
     {
         return;
     }
@@ -284,15 +284,15 @@
 void
 Ns3WimaxSFTypeTestCase::DoRun()
 {
-    if (DoRunOnce(ServiceFlow::SF_TYPE_UGS) == true)
+    if (DoRunOnce(ServiceFlow::SF_TYPE_UGS))
     {
         return;
     }
-    if (DoRunOnce(ServiceFlow::SF_TYPE_RTPS) == true)
+    if (DoRunOnce(ServiceFlow::SF_TYPE_RTPS))
     {
         return;
     }
-    if (DoRunOnce(ServiceFlow::SF_TYPE_BE) == true)
+    if (DoRunOnce(ServiceFlow::SF_TYPE_BE))
     {
         return;
     }
